Name:    nde-qtplugin 
Summary: Qt plugin framework for Nde Desktop Suite
Version: 0.0.1
Release: 3%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: nde-qtxdg-devel
BuildRequires: nde-lib-devel >= 0.0.1
BuildRequires: pkgconfig(dbusmenu-qt5)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
BuildRequires: qt5-qtbase-devel
BuildRequires: libfm-qt-devel
BuildRequires: libexif-devel

# nde-qtplugin uses gui-private
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%{_libdir}/qt5/plugins/platformthemes/libqtnde.so


%changelog
* Sun Jun 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-3
- 删除托盘菜单默认创建的右键退出菜单

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)

